<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Cart extends REST_Controller {
    
	  /**
     * Get All Data from this method.
     *
     * @return Response
    */
    public function __construct() {
       parent::__construct();
       $this->load->model('common');
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Cart');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        $input['createdDate'] = date('d-m-Y h:i:s A');
        
        $this->common->addnewdatamodel('Cart', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('Cart', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Cart', $id);
       
        $this->response(['Cart deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}